import { request } from '../config'

export const getStsoList = (params: any) => {
    return request({
        url: '/api/synchronization/operation/list',
        method: 'get',
        params
    })
}

export const createStso = (data: any) => {
    return request({
        url: '/api/synchronization/operation/create',
        method: 'post',
        data
    })
}

export const updateStso = (data: any) => {
    return request({
        url: '/api/synchronization/operation/update',
        method: 'put',
        data
    })
}

export const deleteStso = (id: number,) => {
    return request({
        url: '/api/synchronization/operation/delete',
        method: 'delete',
        params: { id }
    })
}